## python-pairix 0.3.7

=== Makefile ===
all:
	cd src; make; cd ..

=== src/Makefile ===
CC=			gcc
CFLAGS=		-g -w -O2 -fPIC #-m64 #-arch ppc
DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE -DBGZF_CACHE
LOBJS=		bgzf.o kstring.o knetfile.o index.o bedidx.o
AOBJS=		main.o
PROG=		pairix bgzip pairs_merger streamer_1d 
INCLUDES=
SUBDIRS=	.
LIBPATH=
LIBCURSES=

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target || exit 1; \
			cd $$wdir; \
		done;

all:$(PROG)
		mkdir -p ../bin; mv pairix bgzip pairs_merger streamer_1d ../bin;
		chmod +x ../bin/*;

lib:libpairix.a

libpairix.so.1:$(LOBJS)
		$(CC) -shared -Wl,-soname,libpairix.so -o $@ $(LOBJS) -lc -lz

libpairix.1.dylib:$(LOBJS)
		libtool -dynamic $(LOBJS) -o $@ -lc -lz

libpairix.a:$(LOBJS)
		$(AR) -csru $@ $(LOBJS)

pairix:lib $(AOBJS)
		$(CC) $(CFLAGS) -o $@ $(AOBJS) -L. -lpairix -lm $(LIBPATH) -lz

bgzip:bgzip.o bgzf.o knetfile.o
		$(CC) $(CFLAGS) -o $@ bgzip.o bgzf.o knetfile.o -lz

pairs_merger:pairs_merger.o lib
		$(CC) $(CFLAGS) -o $@ pairs_merger.o -L. -lpairix -lm $(LIBPATH) -lz

streamer_1d:streamer_1d.o lib
		$(CC) $(CFLAGS) -o $@ streamer_1d.o -L. -lpairix -lm $(LIBPATH) -lz


kstring.o:kstring.h
knetfile.o:knetfile.h
bgzf.o:bgzf.h knetfile.h
index.o:bgzf.h pairix.h khash.h ksort.h kstring.h
main.o:pairix.h kstring.h bgzf.h
pairs_merger.o:pairix.h kstring.h bgzf.h
streamer_1d.o:pairix.h kstring.h bgzf.h
bgzip.o:bgzf.h
bedidx.o:kseq.h khash.h


cleanlocal:
		rm -fr gmon.out *.o a.out *.dSYM $(PROG) *~ *.a *.class libpairix.*.dylib libpairix.so*

clean:cleanlocal-recur

=== debian/changelog ===
python-pairix (0.3.7-5build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:59:31 +0000

python-pairix (0.3.7-5) unstable; urgency=medium

  * Team Upload.
  * d/rules: sort with names while tar-ing so 
    as to make build reproducible (Closes: #995258)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 04 Dec 2021 23:48:55 +0530

python-pairix (0.3.7-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Avoid tests failing under Python 3.10. (Closes: #999381)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Nov 2021 22:23:41 -0400

python-pairix (0.3.7-4) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + python3-pairix: Add Multi-Arch: same.
    + python-pairix-examples: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 16:07:39 +0200

python-pairix (0.3.7-3) unstable; urgency=medium

  [ Chris Lamb ]
  * make the build reproducible
    Closes: #973801

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2020 15:26:23 +0100

python-pairix (0.3.7-2) unstable; urgency=medium

  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 06:21:44 +0100

python-pairix (0.3.7-1) unstable; urgency=medium

  * Initial release (Closes: #962790)

 -- Andreas Tille <tille@debian.org>  Sun, 14 Jun 2020 08:37:25 +0200

=== debian/control ===
Source: python-pairix
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               zlib1g-dev,
               python3-pytest <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/python-pairix
Vcs-Git: https://salsa.debian.org/med-team/python-pairix.git
Homepage: https://github.com/4dn-dcic/pairix
Rules-Requires-Root: no

Package: python3-pairix
Architecture: any
Section: python
Depends: ${shlib:Depends},
         ${python3:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: 1D/2D indexing and querying with a pair of genomic coordinates
 Pairix is a tool for indexing and querying on a block-compressed text
 file containing pairs of genomic coordinates.
 .
 Pairix is a stand-alone C program that was written on top of tabix as a
 tool for the 4DN-standard pairs file format describing Hi-C data:
 pairs_format_specification.md
 .
 However, Pairix can be used as a generic tool for indexing and querying
 any bgzipped text file containing genomic coordinates, for either 2D- or
 1D- indexing and querying.
 .
 For example: given the custom text file below, you want to extract
 specific lines from the Pairs file further below. An awk command would
 read the Pairs file from beginning to end. Pairix creates an index and
 uses it to access the file from a relevant position by taking advantage
 of bgzf compression, allowing for a fast query on large files.

Package: python-pairix-examples
Architecture: all
Depends: ${misc:Depends}
Enhances: python3-pairix
Multi-Arch: foreign
Description: 1D/2D indexing and querying with a pair of genomic coordinates (examples)
 Pairix is a tool for indexing and querying on a block-compressed text
 file containing pairs of genomic coordinates.
 .
 Pairix is a stand-alone C program that was written on top of tabix as a
 tool for the 4DN-standard pairs file format describing Hi-C data:
 pairs_format_specification.md
 .
 However, Pairix can be used as a generic tool for indexing and querying
 any bgzipped text file containing genomic coordinates, for either 2D- or
 1D- indexing and querying.
 .
 For example: given the custom text file below, you want to extract
 specific lines from the Pairs file further below. An awk command would
 read the Pairs file from beginning to end. Pairix creates an index and
 uses it to access the file from a relevant position by taking advantage
 of bgzf compression, allowing for a fast query on large files.
 .
 This package contains some example data to test the package.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME=pairix

export PYBUILD_BEFORE_TEST=cp -a $(CURDIR)/samples {build_dir}; cp -a $(CURDIR)/VERSION.txt {build_dir};

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	tar caf samples.tar.xz samples --mode=go=rX,u+rw,a-s --owner=0 --group=0 --numeric-owner --sort=name
	dh_install
	find debian/python3-$(PYBUILD_NAME)/usr/lib -name samples -type d | xargs rm -rf
	find debian/*/usr/lib -name VERSION.txt -delete

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/4dn-dcic/pairix/releases .*/v?@ANY_VERSION@\.tar\.gz

## python-pairix 0.3.8

=== debian/changelog ===
python-pairix (0.3.8-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:04:07 +0000

python-pairix (0.3.8-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:06:14 +0000

python-pairix (0.3.8-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:08 +0100

python-pairix (0.3.8-1) unstable; urgency=medium

  * New upstream version 0.3.8
  * gcc-14.patch: new: fix various incompatible pointer types.
    (Closes: #1075419)
  * d/control: declare compliance to standards version 4.7.0.
  * d/python3-pairix.lintian-overrides: refresh override.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Aug 2024 23:02:54 +0200

python-pairix (0.3.7-7) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/clean: Remove samples.tar.xz (Closes: #1046425)
  * d/control: Add autopkgtest-pkg-pybuild testsuite
  * d/tests: Remove, run by pybuild autopkgtest
  * d/rules: Add hardening option
  * d/python3-pairix.lintian-overrides: Fix override for missing dependency
    on libc

 -- Lance Lin <lq27267@gmail.com>  Tue, 05 Dec 2023 21:45:09 +0700

python-pairix (0.3.7-6) unstable; urgency=medium

  * Fix watch file
  * lintian-overrides for missing-dependency-on-libc
  * Standards-Version: 4.6.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 21:06:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: python-pairix
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-setuptools,
                zlib1g-dev,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-pairix
 Vcs-Git: https://salsa.debian.org/med-team/python-pairix.git
 Homepage: https://github.com/4dn-dcic/pairix

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYBUILD_NAME=pairix
 
 export PYBUILD_BEFORE_TEST=cp -a $(CURDIR)/samples {build_dir}; cp -a $(CURDIR)/VERSION.txt {build_dir};
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	tar caf samples.tar.xz samples --mode=go=rX,u+rw,a-s --owner=0 --group=0 --numeric-owner --sort=name

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/4dn-dcic/pairix/tags .*/v?@ANY_VERSION@\.tar\.gz
